let
  buildDepError = pkg:
    builtins.throw ''
      The Haskell package set does not contain the package: ${pkg} (build dependency).
      
      If you are using Stackage, make sure that you are using a snapshot that contains the package. Otherwise you may need to update the Hackage snapshot you are using, usually by updating haskell.nix.
      '';
  sysDepError = pkg:
    builtins.throw ''
      The Nixpkgs package set does not contain the package: ${pkg} (system dependency).
      
      You may need to augment the system package mapping in haskell.nix so that it can be found.
      '';
  pkgConfDepError = pkg:
    builtins.throw ''
      The pkg-conf packages does not contain the package: ${pkg} (pkg-conf dependency).
      
      You may need to augment the pkg-conf package mapping in haskell.nix so that it can be found.
      '';
  exeDepError = pkg:
    builtins.throw ''
      The local executable components do not include the component: ${pkg} (executable dependency).
      '';
  legacyExeDepError = pkg:
    builtins.throw ''
      The Haskell package set does not contain the package: ${pkg} (executable dependency).
      
      If you are using Stackage, make sure that you are using a snapshot that contains the package. Otherwise you may need to update the Hackage snapshot you are using, usually by updating haskell.nix.
      '';
  buildToolDepError = pkg:
    builtins.throw ''
      Neither the Haskell package set or the Nixpkgs package set contain the package: ${pkg} (build tool dependency).
      
      If this is a system dependency:
      You may need to augment the system package mapping in haskell.nix so that it can be found.
      
      If this is a Haskell dependency:
      If you are using Stackage, make sure that you are using a snapshot that contains the package. Otherwise you may need to update the Hackage snapshot you are using, usually by updating haskell.nix.
      '';
in { system, compiler, flags, pkgs, hsPkgs, pkgconfPkgs, ... }:
  {
    flags = {};
    package = {
      specVersion = "2.4";
      identifier = { name = "matebeamter"; version = "0.0.0.0"; };
      license = "AGPL-3.0-only";
      copyright = "";
      maintainer = "nek0@nek0.eu";
      author = "nek0";
      homepage = "";
      url = "";
      synopsis = "A reference frontent to mateamt";
      description = "";
      buildType = "Simple";
      isLocal = true;
      detailLevel = "FullDetails";
      licenseFiles = [ "LICENSE" ];
      dataDir = "";
      dataFiles = [];
      extraSrcFiles = [ "CHANGELOG.md" ];
      extraTmpFiles = [];
      extraDocFiles = [];
      };
    components = {
      exes = {
        "matebeamter" = {
          depends = [
            (hsPkgs."base" or (buildDepError "base"))
            (hsPkgs."mateamt" or (buildDepError "mateamt"))
            (hsPkgs."servant" or (buildDepError "servant"))
            (hsPkgs."servant-server" or (buildDepError "servant-server"))
            (hsPkgs."servant-client" or (buildDepError "servant-client"))
            (hsPkgs."servant-client-core" or (buildDepError "servant-client-core"))
            (hsPkgs."servant-blaze" or (buildDepError "servant-blaze"))
            (hsPkgs."servant-rawm" or (buildDepError "servant-rawm"))
            (hsPkgs."aeson" or (buildDepError "aeson"))
            (hsPkgs."blaze-html" or (buildDepError "blaze-html"))
            (hsPkgs."blaze-markup" or (buildDepError "blaze-markup"))
            (hsPkgs."text" or (buildDepError "text"))
            (hsPkgs."bytestring" or (buildDepError "bytestring"))
            (hsPkgs."hashable" or (buildDepError "hashable"))
            (hsPkgs."warp" or (buildDepError "warp"))
            (hsPkgs."wai" or (buildDepError "wai"))
            (hsPkgs."wai-logger" or (buildDepError "wai-logger"))
            (hsPkgs."wai-session" or (buildDepError "wai-session"))
            (hsPkgs."http-client" or (buildDepError "http-client"))
            (hsPkgs."http-api-data" or (buildDepError "http-api-data"))
            (hsPkgs."http-types" or (buildDepError "http-types"))
            (hsPkgs."cookie" or (buildDepError "cookie"))
            (hsPkgs."mtl" or (buildDepError "mtl"))
            (hsPkgs."i18n" or (buildDepError "i18n"))
            (hsPkgs."cookie" or (buildDepError "cookie"))
            (hsPkgs."split" or (buildDepError "split"))
            (hsPkgs."random-bytestring" or (buildDepError "random-bytestring"))
            (hsPkgs."base64-bytestring" or (buildDepError "base64-bytestring"))
            (hsPkgs."cryptonite" or (buildDepError "cryptonite"))
            (hsPkgs."stm" or (buildDepError "stm"))
            (hsPkgs."stm-containers" or (buildDepError "stm-containers"))
            (hsPkgs."either" or (buildDepError "either"))
            (hsPkgs."optparse-applicative" or (buildDepError "optparse-applicative"))
            (hsPkgs."HsYAML" or (buildDepError "HsYAML"))
            ];
          buildable = true;
          modules = [
            "API"
            "Client"
            "ClientAuth"
            "Util"
            "Hash"
            "Types"
            "Types/Auth"
            "Types/Page"
            "Types/Reader"
            "Types/Views"
            "Types/User"
            "Types/Orphans"
            "Types/Configuration"
            "Control"
            "Control/Auth"
            "Control/User"
            "Control/Buy"
            "Control/Journal"
            "View"
            "View/Scaffold"
            "View/Auth"
            "View/User"
            "View/Buy"
            "View/Journal"
            ];
          hsSourceDirs = [ "src" ];
          mainPath = [ "Main.hs" ];
          };
        };
      };
    } // rec { src = (pkgs.lib).mkDefault .././.; }